PHP Manual
Prev |  | Next

# imap_lsub

(PHP 3 >= 3.0.4, PHP 4, PHP 5)

imap_lsub -- List all the subscribed mailboxes

## Description

array imap_lsub ( resource imap_stream, string ref, string pattern )

Gets an array of all the mailboxes that you have subscribed.

## Parameters

`imap_stream`

  An IMAP stream returned by imap_open().

`ref`

  `ref` should normally be just the server specification as described in imap_open()

`pattern`

  Specifies where in the mailbox hierarchy to start searching.

  There are two special characters you can pass as part of the `pattern`: '*' and '%'. '*' means to return all mailboxes. If you pass `pattern` as '*', you will get a list of the entire mailbox hierarchy. '%' means to return the current level only. '%' as the `pattern` parameter will return only the top level mailboxes; '~/mail/%' on UW_IMAPD will return every mailbox in the ~/mail directory, but none in subfolders of that directory.

## Return Values

Returns an array of all the subscribed mailboxes.

## See Also

imap_list()
imap_getmailboxes()

Prev | Home | Next
imap_listsubscribed | Up | imap_mail_compose